Bug 1144906 - cmake-fedora failed to build target pot_files if the .pot file not exists
Summary: cmake-fedora failed to build target pot_files if the .pot file not exists
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: cmake-fedora
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Ding-Yi Chen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-22 00:41 UTC by Ding-Yi Chen
Modified: 2015-04-26 13:42 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-26 13:42:07 UTC
Type: Bug


Attachments (Terms of Use)

Description Ding-Yi Chen 2014-09-22 00:41:06 UTC
Description of problem:
cmake-fedora failed to build target pot_files if the .pot file not exists

Version-Release number of selected component (if applicable):
cmake-fedora-2.3.0-1-el7.x86_64

How reproducible:
Always

Steps to Reproduce:
1. With ibus-chewing
2. cmake . 
3. make

Actual results:
make[2]: *** No rule to make target `po/ibus-chewing.pot', needed by `po/CMakeFiles/pot_files'.  Stop.

Expected results:
po/ibus-chewing.pot is build

Additional info:
Since cmake does not build the output file that is built in non-top CMakeLists.txt, so target pot_file_<path> should be created.

Comment 1 Fedora Update System 2014-09-23 05:01:37 UTC
cmake-fedora-2.3.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cmake-fedora-2.3.1-1.fc20

Comment 2 Fedora Update System 2014-09-23 05:01:43 UTC
cmake-fedora-2.3.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/cmake-fedora-2.3.1-1.fc19

Comment 3 Fedora Update System 2014-09-23 05:01:49 UTC
cmake-fedora-2.3.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/cmake-fedora-2.3.1-1.el6

Comment 4 Fedora Update System 2014-09-23 05:01:56 UTC
cmake-fedora-2.3.1-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/cmake-fedora-2.3.1-1.el5

Comment 5 Fedora Update System 2014-12-11 00:59:08 UTC
cmake-fedora-2.3.4-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/cmake-fedora-2.3.4-1.el5

Comment 6 Fedora Update System 2014-12-11 00:59:14 UTC
cmake-fedora-2.3.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cmake-fedora-2.3.4-1.fc20

Comment 7 Fedora Update System 2014-12-11 00:59:21 UTC
cmake-fedora-2.3.4-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/cmake-fedora-2.3.4-1.fc19

Comment 8 Fedora Update System 2014-12-11 01:00:31 UTC
cmake-fedora-2.3.4-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/cmake-fedora-2.3.4-1.el6

Comment 9 Fedora Update System 2014-12-11 01:00:36 UTC
cmake-fedora-2.3.4-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/cmake-fedora-2.3.4-1.fc21

Comment 10 Fedora Update System 2014-12-11 01:00:47 UTC
cmake-fedora-2.3.4-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/cmake-fedora-2.3.4-1.el7

Comment 11 Fedora Update System 2014-12-20 08:39:17 UTC
cmake-fedora-2.3.4-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2014-12-20 08:40:21 UTC
cmake-fedora-2.3.4-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2014-12-20 08:50:04 UTC
cmake-fedora-2.3.4-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2014-12-31 23:08:43 UTC
cmake-fedora-2.3.4-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2014-12-31 23:09:31 UTC
cmake-fedora-2.3.4-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2014-12-31 23:10:14 UTC
cmake-fedora-2.3.4-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.